# Class Dialog.TypeFilter

java.lang.Object
javax.swing.filechooser.FileFilter
org.jmol.dialog.Dialog.TypeFilter

Enclosing class:
  `Dialog`

public static class Dialog.TypeFilter extends FileFilter

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(File f)`
`String`
`getDescription()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### accept

public boolean accept(File f)

Specified by:
  `accept` in class `FileFilter`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in class `FileFilter`